﻿using Plane.Copters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Formation
{
    public class MapManager
    {
        public LatLng Center
        {
            get { return _centerGetter.Invoke(); }
        }

        public Views.MapView MapView { get; set; }

        private Func<LatLng> _centerGetter;
        public void SetCenterGetter(Func<LatLng> centerGetter)
        {
            _centerGetter = centerGetter;
        }

        public void ClearCopters()
        {
            this.MapView.ClearCopters();
        }

      
    }
}
